# Tạo nhân viên

{% hint style="info" %}
**Lưu ý:**

* API sử dụng cho trường hợp tích hợp dưới dạng Partner.&#x20;
* API\_KEY: [`<shop_key>`](/tich-hop-api/partner/su-dung.md#ket-noi-lan-thu-hai-tro-di)
* Thông tin base\_url của [Partner](/tich-hop-api/partner/tai-khoan.md)
  {% endhint %}

{% openapi src="/files/N9gsIXHbM9SnjpzOZHTn" path="$BASE\_URL.Shop/CreateAccountUser" method="post" %}
[swagger\_partner\_v2.json](https://4211996220-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F9CUTEBoYNqJaZqxNp3Eh%2Fuploads%2FPioshmLP8r8z5BiNIuvH%2Fswagger_partner_v2.json?alt=media\&token=cc33298f-4b27-4180-9cdf-89d6e1ed3935)
{% endopenapi %}

**Request:**

```json
curl --location '$BASE_URL.Shop/CreateAccountUser' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $API-KEY' \
--data '{
  "full_name": "<string>",
  "password": "<string>",
  "phone": "<string>"
}'
```

**Response:**

```json
{
  "block_reason": "string",
  "blocked_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "email": "string",
  "email_verification_sent_at": "2019-08-24T14:15:22Z",
  "email_verified_at": "2019-08-24T14:15:22Z",
  "full_name": "string",
  "id": "string",
  "is_blocked": true,
  "phone": "string",
  "phone_verification_sent_at": "2019-08-24T14:15:22Z",
  "phone_verified_at": "2019-08-24T14:15:22Z",
  "ref_aff": "string",
  "ref_sale": "string",
  "short_name": "string",
  "source": "unknown",
  "total_shop": 0,
  "updated_at": "2019-08-24T14:15:22Z"
}
```

**Cấu trúc body của request:**

<table><thead><tr><th width="201.33333333333331">Tham số</th><th width="188">Kiểu dữ liệu</th><th>Mô tả</th></tr></thead><tbody><tr><td>full_name<br><mark style="color:red;">required</mark></td><td>string</td><td>Tên nhân viên</td></tr><tr><td>password<br><mark style="color:red;">required</mark></td><td>string</td><td>Mật khẩu đăng nhập</td></tr><tr><td>phone<br><mark style="color:red;">required</mark></td><td>string</td><td>Số điện thoại</td></tr></tbody></table>

**Cấu trúc thuộc tính dữ liệu trả về:**

<table><thead><tr><th width="248.33333333333331">Tham số</th><th width="188">Kiểu dữ liệu</th><th>Mô tả</th></tr></thead><tbody><tr><td>block_reason</td><td>string</td><td>Lý do bị chặn</td></tr><tr><td>blocked_at</td><td>string&#x3C;date-time></td><td>Thời gian bị chặn</td></tr><tr><td>created_at</td><td>string&#x3C;date-time></td><td>Thời gian khởi tạo</td></tr><tr><td>email</td><td>string</td><td>Địa chỉ email</td></tr><tr><td>email_verification_sent_at</td><td>string&#x3C;date-time></td><td>Thời gian gửi email xác thực</td></tr><tr><td>email_verified_at</td><td>string&#x3C;date-time></td><td>Thời gian xác thực email</td></tr><tr><td>full_name</td><td>string</td><td>Tên nhân viên</td></tr><tr><td>id</td><td>string</td><td>ID của nhân viên</td></tr><tr><td>is_blocked</td><td>boolean</td><td>Trạng thái chặn<br><mark style="color:red;"><strong><code>True</code></strong></mark><br><mark style="color:red;"><strong><code>False</code></strong></mark></td></tr><tr><td>phone</td><td>string</td><td>Số điện thoại</td></tr><tr><td>phone_verification_sent_at</td><td>string&#x3C;date-time></td><td>Thời gian gửi xác thực số điện thoại</td></tr><tr><td>phone_verified_at</td><td>string&#x3C;date-time></td><td>Thời gian xác thực số điện thoại </td></tr><tr><td>short_name</td><td>string</td><td>Tên rút ngắn</td></tr><tr><td>total_shop</td><td>int</td><td>Tổng số shop làm chủ</td></tr><tr><td>updated_at</td><td>string&#x3C;date-time></td><td>Thời gian cập nhật</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.etelecom.vn/tich-hop-api/tong-dai/api-tong-dai/tao-nhan-vien.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
